# subsidy_sl.cpp File Reference

Code handling saving and loading of subsidies. More...

`#include "../stdafx.h"`
`#include "../economy_func.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
void | Save_SUBS ()
void | Load_SUBS ()
## Variables
static const SaveLoad | _subsidies_desc []
const ChunkHandler | _subsidy_chunk_handlers []

## Detailed Description

Code handling saving and loading of subsidies.

Definition in file subsidy_sl.cpp.

## Variable Documentation

const SaveLoad _subsidies_desc[]`[static]`

Initial value:

     {
          SLE_VAR(Subsidy, cargo_type, SLE_UINT8),
          SLE_VAR(Subsidy, age,        SLE_UINT8),
      SLE_CONDVAR(Subsidy, from,       SLE_FILE_U8 | SLE_VAR_U16, 0, 4),
      SLE_CONDVAR(Subsidy, from,       SLE_UINT16,                5, SL_MAX_VERSION),
      SLE_CONDVAR(Subsidy, to,         SLE_FILE_U8 | SLE_VAR_U16, 0, 4),
      SLE_CONDVAR(Subsidy, to,         SLE_UINT16,                5, SL_MAX_VERSION),

    }

Definition at line 10 of file subsidy_sl.cpp.

const ChunkHandler _subsidy_chunk_handlers[]

Initial value:

     {
      { 'SUBS', Save_SUBS,     Load_SUBS,     CH_ARRAY | CH_LAST},
    }